diff --git a/src/warden-client/sh/uninstall.sh b/src/warden-client/sh/uninstall.sh
index 81d9364c0d604f52e809a60d0a9fc11094b70b50..1c8d12d3255b6787eddc1ee17c3dba2021e65eac 100755
--- a/src/warden-client/sh/uninstall.sh
+++ b/src/warden-client/sh/uninstall.sh
@@ -31,144 +31,144 @@
 # otherwise) arising in any way out of the use of this software, even
 # if advised of the possibility of such damage.
 
-VERSION="1.1.0"
+VERSION="1.0"
 
 #-------------------------------------------------------------------------------
 #				FUNCTIONS
 #-------------------------------------------------------------------------------
 usage()
 {
-  echo "Usage: `basename $0` [-d <directory>] [-hV]"
-  echo "-d <directory>            installation directory (default: /opt)"
-  echo "-h                        print this help"
-  echo "-V                        print script version number and exit"
-  echo
-  echo "Example: ./`basename $0` -d /opt"
-  echo
-  echo "Note: You must be root for running this script."
-  echo "      For more information about uninstallation process, see README file (section Uninstallation)."
-  echo
-  exit 0
+	echo "Usage: `basename $0` [-d <directory>] [-hV]"
+	echo "-d <directory>            installation directory (default: /opt)"
+	echo "-h                        print this help"
+	echo "-V                        print script version number and exit"
+	echo
+	echo "Example: ./`basename $0` -d /opt"
+	echo
+	echo "Note: You must be root for running this script."
+	echo "      For more information about uninstallation process, see README file (section Uninstallation)."
+	echo
+	exit 0
 }
 
 
 version()
 {
-  echo "`basename ${0}` - current version is $VERSION"
-  exit 0
+	echo "`basename ${0}` - current version is $VERSION"
+	exit 0
 }
 
 
 err()
 {
-  echo "FAILED!"
-  cat $err
-  rm -rf $err
-  rm -rf $backup_dir
-  echo
-  echo "Uninstallation of $package_name package FAILED!!!"
-  exit 1
+	echo "FAILED!"
+	cat $err
+	rm -rf $err
+	rm -rf $backup_dir
+	echo
+	echo "Uninstallation of $package_version package FAILED!!!"
+	exit 1
 }
 
 
 err_clean()
 {
-  echo "FAILED!"
-  echo " -> Reverting changes of warden client package ... OK"
-  rm -rf "$client_path/*" > /dev/null 2>&1
-  cp -R "$backup_dir/*" $client_path
-  cat $err
-  rm -rf $err
-  rm -rf $backup_dir
-  echo
-  echo "Uninstallation of $package_name package FAILED!!!"
-  exit 1
+	echo "FAILED!"
+	echo " -> Reverting changes of warden client package ... OK"
+	rm -rf "$client_path/*" > /dev/null 2>&1
+	cp -R "$backup_dir/*" $client_path
+	cat $err
+	rm -rf $err
+	rm -rf $backup_dir
+	echo
+	echo "Uninstallation of $package_version package FAILED!!!"
+	exit 1
 }
 
 
 os_chck()
 {
-  OS=`uname`
-  if [ "$OS" != "Linux" ]; then
-    echo "Sorry, unsupported operating system detected - \"$OS\"!"
-    exit 1
-  fi
+	OS=`uname`
+	if [ "$OS" != "Linux" ]; then
+		echo "Sorry, unsupported operating system detected - \"$OS\"!"
+		exit 1
+	fi
 }
 
 
 shell_chck()
 {
-  SHELL=`echo $SHELL`
-  if [ "$SHELL" != "/bin/bash" ]; then
-    echo "Sorry, this script is usable in Bourne Again Shell (bash) only!"
-    exit 1
-  fi
+	SHELL=`echo $SHELL`
+	if [ "$SHELL" != "/bin/bash" ]; then
+		echo "Sorry, this script is usable in Bourne Again Shell (bash) only!"
+		exit 1
+	fi
 }
 
 
 root_chck()
 {
-  if [ $UID -ne 0 ]; then
-    echo "You must be root for running this script!"
-    exit 1
-  fi
+	if [ $UID -ne 0 ]; then
+		echo "You must be root for running this script!"
+		exit 1
+	fi
 }
 
 
 params_chck()
 {
-  if [ -z $prefix ]; then
-    prefix=/opt
-    echo "Warning: parameter -d <directory> is not set - default installation directory is $prefix!"
-  fi
+	if [ -z $prefix ]; then
+		prefix=/opt
+		echo "Warning: parameter -d <directory> is not set - default uninstallation directory is $prefix!"
+	fi
 }
 
 
-installation_dir_chck()
+uninstallation_dir_chck()
 {
-  echo -n "Checking installation directory ... "
-  if [ ! -d $prefix ]; then
-    echo "FAILED!"
-    ls $prefix
-    exit 1
-  else
-    echo "OK"
-  fi
+	echo -n "Checking uninstallation directory ... "
+	if [ ! -d $prefix ]; then
+		echo "FAILED!"
+		ls $prefix
+		exit 1
+	else
+		echo "OK"
+	fi
 }
 
 warden_dir_chck()
 {
-  echo -n "Checking warden client directory ... "
-  if [ ! -d $client_path ]; then
-    echo "FAILED!"
-    ls $prefix
-    exit 1
-  else
-    echo "OK"
-  fi
+	echo -n "Checking warden client directory ... "
+	if [ ! -d $client_path ]; then
+		echo "FAILED!"
+		ls $prefix
+		exit 1
+	else
+		echo "OK"
+	fi
 }
 
 backup()
 {
-  echo -n "Backing-up warden client directory ... "
-  mkdir $backup_dir
-  cp -R $client_path $backup_dir 2> $err; ret_val=`echo $?`
-  if [ $ret_val -eq 0 ]; then
-    echo "OK"
-  else
-    err
-  fi
+	echo -n "Backing-up warden client directory ... "
+	mkdir $backup_dir
+	cp -R $client_path $backup_dir 2> $err; ret_val=`echo $?`
+	if [ $ret_val -eq 0 ]; then
+		echo "OK"
+	else
+		err
+	fi
 }
 
 uninstall_warden-client()
 {
-  echo -n "Uninstalling warden-client package ... "
-  rm -rf $client_path 2> $err; ret_val=`echo $?`
-  if [ $ret_val -eq 0 ]; then
-    echo "OK"
-  else
-    err_clean
-  fi
+	echo -n "Uninstalling $package_version package ... "
+	rm -rf $client_path 2> $err; ret_val=`echo $?`
+	if [ $ret_val -eq 0 ]; then
+		echo "OK"
+	else
+		err_clean
+	fi
 }
 
 #-------------------------------------------------------------------------------
@@ -183,12 +183,12 @@ shell_chck
 
 # read input
 while getopts "d:Vh" options; do
-  case $options in
-    d ) prefix=$OPTARG;;
-    h ) usage;;
-    V ) version;;
-    * ) usage;;
-  esac
+	case $options in
+		d ) prefix=$OPTARG;;
+		h ) usage;;
+		V ) version;;
+		* ) usage;;
+	esac
 done
 
 # root test
@@ -198,17 +198,24 @@ root_chck
 params_chck
 
 # create variables
-package_name="warden-client-$VERSION"
 client_path="$prefix/warden-client"
+etc="$client_path/etc"
 err="/tmp/warden-err"
 backup_dir="/tmp/warden-backup"
 
+# obtain version of installed warden-client package
+old_package_version="$etc/package_verion.txt"
+if [ -f $old_package_version ]; then 
+	package_version=`cat $etc/package_version.txt`
+else
+	package_version="unknown"
+fi
 
 echo
 echo "------------------------- Uninstallation process --------------------------------"
 
 # check if $prefix directory exist
-installation_dir_chck
+uninstallation_dir_chck
 
 # check if $prefix/warden-client directory exist
 warden_dir_chck
@@ -220,7 +227,7 @@ backup
 uninstall_warden-client
 
 echo
-echo "Uninstallation of $package_name package was SUCCESSFUL!!!"
+echo "Uninstallation of $package_version package was SUCCESSFUL!!!"
 
 # cleanup section
 rm -rf $err